package com.jeesite.modules.sys.service.schedule;

import java.util.List;

import com.jeesite.modules.sys.entity.EmpUser;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeesite.common.entity.Page;
import com.jeesite.common.service.CrudService;
import com.jeesite.modules.sys.entity.schedule.Schedule;
import com.jeesite.modules.sys.dao.schedule.ScheduleDao;

/**
 * 日程表Service
 * @author Q
 * @version 2022-05-31
 */
@Service
@Transactional(readOnly=true)
public class ScheduleService extends CrudService<ScheduleDao, Schedule> {

	/**
	 * 获取单条数据
	 * @param schedule
	 * @return
	 */
	@Override
	public Schedule get(Schedule schedule) {
		return super.get(schedule);
	}

	/**
	 * 查询分页数据
	 * @param schedule 查询条件
	 * @param schedule.page 分页对象
	 * @return
	 */
	@Override
	public Page<Schedule> findPage(Schedule schedule) {
		return super.findPage(schedule);
	}

	/**
	 * 查询列表数据
	 * @param schedule
	 * @return
	 */
	@Override
	public List<Schedule> findList(Schedule schedule) {
		return super.findList(schedule);
	}

	/**
	 * 保存数据（插入或更新）
	 * @param schedule
	 */
	@Override
	@Transactional(readOnly=false)
	public void save(Schedule schedule) {
		super.save(schedule);
	}

	/**
	 * 更新状态
	 * @param schedule
	 */
	@Override
	@Transactional(readOnly=false)
	public void updateStatus(Schedule schedule) {
		super.updateStatus(schedule);
	}

	/**
	 * 删除数据
	 * @param schedule
	 */
	@Override
	@Transactional(readOnly=false)
	public void delete(Schedule schedule) {
		super.delete(schedule);
	}

	/**
	 * 查询所有数据
	 * @param schedule
	 */
	public List<Schedule> information(Schedule schedule){
		return information(schedule);
	}


}
